Extending Qt Creator Manual | VcsBase Namespace

Extending Qt Creator Manual 4.8.1

# VcsBase Namespace

The VcsBase namespace contains classes for the VcsBase plugin. More...

Header: | #include <VcsBase>

## Types

enum | CheckMode { Unchecked, Checked, Uncheckable }
enum | EditorContentType { RegularCommandOutput, LogOutput, AnnotateOutput, DiffOutput }

## Functions

bool | operator!=(const int &s1, const int &s2)
bool | operator==(const int &s1, const int &s2)

## Detailed Description

The VcsBase namespace contains classes for the VcsBase plugin.

## Namespaces

## Classes

## Type Documentation

### enum VcsBase::CheckMode

### enum VcsBase::EditorContentType

This enum describes the contents of a VcsBaseEditor and its interaction.

Constant | Value | Description
--- | --- | ---
`VcsBase::RegularCommandOutput` | ? | No special handling.
`VcsBase::LogOutput` | `0` | Log of a file under revision control. Provide a description of the change that users can click to view detailed information about the change and Annotate for the log of a single file.
`VcsBase::AnnotateOutput` | `1` | Color contents per change number and provide a clickable change description. Context menu offers annotate previous version functionality. Expected format:
      <change description>: file line
`VcsBase::DiffOutput` | `2` | Diff output. Might include describe output, which consists of a header and diffs. Double-clicking the chunk opens the file. The context menu offers the functionality to revert the chunk.

See also VcsBase::VcsBaseEditorWidget.

## Variable Documentation

## Static Variables

## Function Documentation

### bool VcsBase::operator!=(const int &s1, const int &s2)

### bool VcsBase::operator==(const int &s1, const int &s2)

## Macro Documentation